Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.coffeescript
[Java] Class CoffeeScriptCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.plugins.javascript.coffeescript.CoffeeScriptCompile

    public class CoffeeScriptCompile
    extends SourceTask

Constructor Summary
`CoffeeScriptCompile(Factory workerProcessBuilderFactory)`

Method Summary
`void` | `doCompile()`
`FileCollection` | `getCoffeeScriptJs()`
`File` | `getDestinationDir()`
`CoffeeScriptCompileOptions` | `getOptions()`
`FileCollection` | `getRhinoClasspath()`
`void` | `options(Action action)`
`void` | `options(Closure closure)`
`void` | `setCoffeeScriptJs(Object coffeeScriptJs)`
`void` | `setDestinationDir(Object destinationDir)`
`void` | `setRhinoClasspath(Object rhinoClasspath)`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### CoffeeScriptCompile

    @Inject
    public CoffeeScriptCompile(Factory workerProcessBuilderFactory)

Method Detail

### doCompile

    @TaskAction
    public void doCompile()

### getCoffeeScriptJs

    @InputFiles
    public FileCollection getCoffeeScriptJs()

### getDestinationDir

    @OutputDirectory
    public File getDestinationDir()

### getOptions

    public CoffeeScriptCompileOptions getOptions()

### getRhinoClasspath

    @InputFiles
    public FileCollection getRhinoClasspath()

### options

    public void options(Action action)

### options

    public void options(Closure closure)

### setCoffeeScriptJs

    public void setCoffeeScriptJs(Object coffeeScriptJs)

### setDestinationDir

    public void setDestinationDir(Object destinationDir)

### setRhinoClasspath

    public void setRhinoClasspath(Object rhinoClasspath)

Gradle API 1.10